## ide-completion-list-box-row ide-completion-list-box-row |

## Functions

GtkWidget * | ide_completion_list_box_row_new ()
IdeCompletionProposal * | ide_completion_list_box_row_get_proposal ()
void | ide_completion_list_box_row_set_proposal ()
void | ide_completion_list_box_row_set_icon_name ()
void | ide_completion_list_box_row_set_left ()
void | ide_completion_list_box_row_set_left_markup ()
void | ide_completion_list_box_row_set_right ()
void | ide_completion_list_box_row_set_center ()
void | ide_completion_list_box_row_set_center_markup ()

## Properties

IdeCompletionProposal * | proposal | Read / Write

## Types and Values

#define | IDE_TYPE_COMPLETION_LIST_BOX_ROW
| IdeCompletionListBoxRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── IdeCompletionListBoxRow

## Implemented Interfaces

IdeCompletionListBoxRow implements AtkImplementorIface, GtkBuildable and GtkActionable.

## Description

## Functions

### ide_completion_list_box_row_new ()

    GtkWidget *
    ide_completion_list_box_row_new (void);

### ide_completion_list_box_row_get_proposal ()

    IdeCompletionProposal *
    ide_completion_list_box_row_get_proposal
                                   (IdeCompletionListBoxRow *self);

Gets the proposal viewed by the row.

#### Parameters

self | a IdeCompletionListBoxRow |

#### Returns

an IdeCompletionProposal or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_completion_list_box_row_set_proposal ()

    void
    ide_completion_list_box_row_set_proposal
                                   (IdeCompletionListBoxRow *self,
                                    IdeCompletionProposal *proposal);

Sets the proposal to display in the row.

#### Parameters

self | a IdeCompletionListBoxRow |
proposal | an IdeCompletionProposal |

Since: 3.32

### ide_completion_list_box_row_set_icon_name ()

    void
    ide_completion_list_box_row_set_icon_name
                                   (IdeCompletionListBoxRow *self,
                                    const gchar *icon_name);

#### Parameters

self | a IdeCompletionListBoxRow |
icon_name | an icon-name or `NULL`. | [nullable]

Since: 3.32

### ide_completion_list_box_row_set_left ()

    void
    ide_completion_list_box_row_set_left (IdeCompletionListBoxRow *self,
                                          const gchar *left);

#### Parameters

self | a IdeCompletionListBoxRow |
left | text for the left column. | [nullable]

Since: 3.32

### ide_completion_list_box_row_set_left_markup ()

    void
    ide_completion_list_box_row_set_left_markup
                                   (IdeCompletionListBoxRow *self,
                                    const gchar *left_markup);

#### Parameters

self | a IdeCompletionListBoxRow |
left_markup | markup for the left column. | [nullable]

Since: 3.32

### ide_completion_list_box_row_set_right ()

    void
    ide_completion_list_box_row_set_right (IdeCompletionListBoxRow *self,
                                           const gchar *right);

#### Parameters

self | a IdeCompletionListBoxRow |
right | text for the right column. | [nullable]

Since: 3.32

### ide_completion_list_box_row_set_center ()

    void
    ide_completion_list_box_row_set_center
                                   (IdeCompletionListBoxRow *self,
                                    const gchar *center);

#### Parameters

self | a IdeCompletionListBoxRow |
center | text for the center column. | [nullable]

Since: 3.32

### ide_completion_list_box_row_set_center_markup ()

    void
    ide_completion_list_box_row_set_center_markup
                                   (IdeCompletionListBoxRow *self,
                                    const gchar *center_markup);

#### Parameters

self | a IdeCompletionListBoxRow |
center_markup | markup for the center column. | [nullable]

Since: 3.32

## Types and Values

### IDE_TYPE_COMPLETION_LIST_BOX_ROW

    #define IDE_TYPE_COMPLETION_LIST_BOX_ROW (ide_completion_list_box_row_get_type())

### IdeCompletionListBoxRow

    typedef struct _IdeCompletionListBoxRow IdeCompletionListBoxRow;

## Property Details

### The `“proposal”` property

      “proposal”                 IdeCompletionProposal *

The proposal to display in the list box row.

Owner: IdeCompletionListBoxRow

Flags: Read / Write

Since: 3.32